utility-ht-0.0.14: Various small helper functions for Lists, Maybes, Tuples, Functions

Safe Haskell | Safe
Language | Haskell98

Data.Monoid.HT

Synopsis

- cycle :: Monoid m => m -> m
- (<>) :: Monoid m => m -> m -> m
- when :: Monoid m => Bool -> m -> m

# Documentation

cycle :: Monoid m => m -> m Source #

Generalization of `cycle` to any monoid.

(<>) :: Monoid m => m -> m -> m infixr 6 Source #

Infix synonym for `mappend`.

when :: Monoid m => Bool -> m -> m Source #